package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 地区批次录取分数线对象 b_busi_wish_location_submits
 * 
 * @author mingxue
 * @date 2021-08-19
 */
@ApiModel("地区批次录取分数线")
public class BBusiWishLocationSubmits extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 所在地 */
    @Excel(name = "所在地")
    @ApiModelProperty("所在地")
    private String location;

    /** 年份 */
    @Excel(name = "年份")
    @ApiModelProperty("年份")
    private String year;

    /** 投档批次 */
    @Excel(name = "投档批次")
    @ApiModelProperty("投档批次类型")
    private Integer type;

    @Excel(name = "投档批次名称")
    @ApiModelProperty("投档批次名称")
    private String typeName;

    /** 文科 */
    @Excel(name = "分数")
    @ApiModelProperty("分数")
    private Integer score;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    @ApiModelProperty("状态(0:无效,1:有效)")
    private Integer status;

    private String course;
    private String courseName;
    private String pressureScore;
    private String pressureRange;

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getCourse() {
        return course;
    }

    public void setCourse(String course) {
        this.course = course;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPressureScore() {
        return pressureScore;
    }

    public void setPressureScore(String pressureScore) {
        this.pressureScore = pressureScore;
    }

    public String getPressureRange() {
        return pressureRange;
    }

    public void setPressureRange(String pressureRange) {
        this.pressureRange = pressureRange;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public BBusiWishLocationSubmits setLocation(String location) {
        this.location = location;
        return this;
    }

    public String getLocation() {
        return location;
    }

    public BBusiWishLocationSubmits setYear(String year) {
        this.year = year;
        return this;
    }

    public String getYear() {
        return year;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("location", getLocation())
            .append("year", getYear()).append("type", getType())
            .append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
